Package org.silverpeas.components.blog.dao

# Class PostDAO

java.lang.Object
org.silverpeas.components.blog.dao.PostDAO

@Repository public class PostDAO extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `create(Connection con, String pubId, Date dateEvent, String instanceId)`
  `void`
  `delete(Connection con, String pubId)`
  `Collection<Date>`
  `getAllEventDates(Connection con, String instanceId)`
  `Collection<String>`
  `getAllPostIds(Connection con, String instanceId)`
  `Map<String,Date>`
  `getEventDateIndexedByPost(Collection<String> pubIds)`
  `Collection<String>`
  `getPostInRange(Connection con, String instanceId, String beginDate, String endDate)`
  `void`
  `update(Connection con, String pubId, Date dateEvent)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### create

    public void create(Connection con, String pubId, Date dateEvent, String instanceId) throws SQLException
    Throws:
      `SQLException`

  - ### getEventDateIndexedByPost

    public Map<String,Date> getEventDateIndexedByPost(Collection<String> pubIds) throws SQLException
    Throws:
      `SQLException`

  - ### delete

    public void delete(Connection con, String pubId) throws SQLException
    Throws:
      `SQLException`

  - ### update

    public void update(Connection con, String pubId, Date dateEvent) throws SQLException
    Throws:
      `SQLException`

  - ### getAllPostIds

    public Collection<String> getAllPostIds(Connection con, String instanceId) throws SQLException
    Throws:
      `SQLException`

  - ### getAllEventDates

    public Collection<Date> getAllEventDates(Connection con, String instanceId) throws SQLException
    Throws:
      `SQLException`

  - ### getPostInRange

    public Collection<String> getPostInRange(Connection con, String instanceId, String beginDate, String endDate) throws SQLException, ParseException
    Throws:
      `SQLException`
      `ParseException`